Bug 430090 - --setup-bind with ipa-server-install still prompts for DNS configuration update - prompt with appropriate filename for /var/named.conf
--setup-bind with ipa-server-install still prompts for DNS configuration upda...
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: freeipa10 429034
  Show dependency treegraph
 
Reported: 2008-01-24 09:25 EST by Chandrasekar Kannan
Modified: 2012-03-27 03:20 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Remove the prompt asking user to continue (1.36 KB, patch)
2008-05-16 12:15 EDT, Martin Nagy
no flags Details | Diff

  None (edit)
Description Chandrasekar Kannan 2008-01-24 09:25:47 EST
during install, when we do,

ipa-server-install --setup-bind

we observed a couple of things.

(1) it was still prompting the user to agree or not for a DNS
    configuration file update.

(2) But it doesn't say which file it looked up for. which file
    like /var/named/named.conf that it didn't find etc. need
    to be a bit more verbose here.
Comment 1 Michael Gregg 2008-01-29 14:04:45 EST
To clarify:

If --setup-bind is specified in the ipa-server-install line, the utility should
not stop to confirm action, but should move any current configuration to backup
files and notify the user on screen with a message like:

Your old DNS configuration files were backed up to 
/etc/named.conf.ipaold
/var/named/chroot.ipaold

etc-
Comment 4 Martin Nagy 2008-05-16 12:15:14 EDT
Created attachment 305703 [details]
Remove the prompt asking user to continue
Comment 5 Martin Nagy 2008-05-16 12:18:47 EDT
ipa-1-0: c92987527dbaa9e3ff0aaa1fbd9cc85246736e0e
master: 2d608a83548005507381f406ac97607628c934ad
Comment 6 Yi Zhang 2008-05-29 14:09:22 EDT
QA Verified on May 29, 2008 (Yi)

Build used: May 29, 2008 (i386)

Note You need to log in before you can comment on or make changes to this bug.